/**************************
 PLUGIN CSS CUSTOMIZATIONS
**************************/

/***
SlimScrollBar plugins css changes
***/
.scroller {
  padding: 0px ;
  margin: 0px ;
  padding-right: 12px ;
  overflow: hidden;
}

.scroller-footer {
  margin-top: 10px;
}

.scroller-footer:after,
.scroller-footer:before {
  content: "";
  display: table;
  line-height: 0;
}

.scroller-footer:after {
  clear: both;
}

.portlet-body .slimScrollBar {
  margin-right: 0px ;
}

/***
Select2 plugin css changes
***/

/* enable form validation classes for select2 dropdowns */
.has-error .select2-container .select2-choice {
  border-color: #B94A48;
}

.has-error .select2-container.select2-dropdown-open .select2-choice {
  border-color: #e5e5e5;
}

.has-error .select2-container.select2-dropdown-open .select2-choice > span {
  color: #999999;
}

.has-success .select2-container .select2-choice {
  border-color: #468847;
}

.has-success .select2-container.select2-dropdown-open .select2-choice {
  border-color: #e5e5e5;
}

.has-success .select2-container.select2-dropdown-open .select2-choice > span {
  color: #999999;
}

/***
Modify tags input plugin css
***/
div.tagsinput {
  min-height: 35px;
  height: auto !important;
  margin: 0;
  padding: 5px 5px 0px 5px;
  overflow: auto;
}

div.tagsinput span.tag {
  background: #aaa ;
  color: #fff ;
  border: 0 ;
  padding: 3px 6px;
  margin-top: 0;
  margin-bottom: 5px;
}

div.tagsinput input {
  padding: 3px 6px ;
  width: 75px !important;
}

div.tagsinput span.tag a {
  color: #fff ;
}

div.tagsinput .not_valid {
  color: #fff ;
  padding: 3px 6px ;
  background-color: #e02222 ;
}

/***
jQuery UI Sliders(new in v1.1.1)
***/
.slider {
  border: 0;
  padding: 0;
  display: block;
  margin: 12px 5px;
  min-height: 11px;
}

.ui-slider-vertical {
  width: 11px;
}

.ui-slider-horizontal .ui-slider-handle {
  top: -3px;
}

.ui-slider-vertical .ui-slider-handle {
  left: -3px;
}

.ui-slider-vertical,
.ui-slider-handle {
  filter: none !important;
  background-image: none !important;
}

/***
Dropzone css changes(new in v1.1.1)
***/
.dropzone {
  -webkit-border-radius: 0px ;
    -moz-border-radius: 0px ;
         border-radius: 0px ;
}

/***
Fancy box fix overlay fix(in v1.2.4)
***/
.fancybox-overlay {
  z-index: 10000 ;
}

/***
Password Strength(in v1.4)
***/
.password-strength .password-verdict {
  display: inline-block;
  margin-top: 6px;
  margin-left: 5px;
}

.password-strength .progress {
  margin-top: 5px;
  margin-bottom: 0;
}

.password-strength .progress-bar {
  padding: 2px;
}

/***
Uniform disabled checkbox, radio button fix(in v1.4)
***/

.table .uniform-inline {
  padding: 0;
  margin: 0;
}

.checker {
  margin-top: -2px !important;
  margin-right: 2px !important;
}

.checker input,
.radio input {
  outline: none !important;
}

div.checker.disabled span,
div.checker.disabled.active span{
    background-position: -152px -260px;
}

div.checker.disabled:hover,
div.radio.disabled:hover {
    cursor: not-allowed;
}

div.radio,
div.checker {
 margin-right: 0;
 margin-left: 3px;
}

/***
jQuery Sparkline
***/
.jqstooltip {
  width: auto !important;
  height: auto !important;
}

/***
Bootstrap  Datetimepicker
***/

.datetimepicker table td {
  font-weight: 300  !important;
  font-family: 'Open Sans' !important;
}

.datetimepicker table th {
  font-family: 'Open Sans' !important;
  font-weight: 400  !important;
}

.datetimepicker.dropdown-menu {
  padding: 5px;
}

.datetimepicker .active {
  background-color:#4b8df8 !important;
  background-image: none !important;
  filter: none !important;
}

.datetimepicker .active:hover {
  background-color: #2678FC !important;
  background-image: none !important;
  filter: none !important;

}

/* change z-index when opened in modal */
.modal-open .datetimepicker {
  z-index: 10055 !important;
}

/***
Bootstrap Time Picker
***/
.bootstrap-timepicker-widget table td a  {
  padding: 4px 0;
}

.bootstrap-timepicker-widget input,
.bootstrap-timepicker-widget input:focus {
  outline: none !important;
  border: 0;
}

.modal-open  .bootstrap-timepicker-widget {
  z-index: 10055 !important;
}

.bootstrap-timepicker-widget.timepicker-orient-bottom:before,
.bootstrap-timepicker-widget.timepicker-orient-bottom:after {
  top: auto;
}

/***
Bootstrap Datepicker
***/

.datepicker.dropdown-menu {
  padding: 5px;
}

.datepicker .selected {
  background-color:#909090 !important;
  background-image: none !important;
  filter: none !important;
}

.datepicker .active {
  background-color:#4b8df8 !important;
  background-image: none !important;
  filter: none !important;
}

.datepicker .active:hover {
  background-color: #2678FC !important;
  background-image: none !important;
  filter: none !important;
}

.datepicker .input-daterange input {
  text-align: left;
}

/* change z-index when opened in modal */
.modal-open .datepicker {
  z-index: 10055 !important;
}

.datepicker table td {
  font-weight: 300  !important;
  font-family: 'Open Sans' !important;
}

.datepicker table th {
  font-family: 'Open Sans' !important;
  font-weight: 400  !important;
}

/***
Bootstrap Daterangepicker
***/

.modal-open .daterangepicker {
  z-index: 10055 !important;
}

.daterangepicker td {
  text-shadow: none ;
}

.daterangepicker td.active {
  background-color: #4b8df8 ;
  background-image: none ;
  filter:none ;
}

.daterangepicker th {
  font-weight: 400;
  font-size: 14px;
}

.daterangepicker .ranges input[type="text"]  {
  width: 70px !important;
  font-size: 11px;
  vertical-align: middle;
}

.daterangepicker .ranges label {
  font-weight: 300;
  display: block;
}

.daterangepicker .ranges .btn {
  margin-top: 10px;
}

.daterangepicker.dropdown-menu {
  padding: 5px;
}

.daterangepicker .ranges li {
  color: #333;
}

.daterangepicker .ranges li.active,
.daterangepicker .ranges li:hover {
  background: #4b8df8 !important;
  border: 1px solid #4b8df8 !important;
  color: #fff;
}

.daterangepicker .range_inputs input {
  margin-bottom: 0 !important;
}

/***
FuelUX Spinners
***/

.spinner-buttons.btn-group-vertical .btn {
  text-align: center;
  margin: 0;
  height: 17px;
  width: 22px;
  padding-left: 6px;
  padding-right: 6px;
  padding-top: 0px;
}


/***
NoUI Range Sliders
***/
.noUi-handle {
  height: 20px;
  width: 20px;
  margin: -3px 0 0 -20px;
}

.noUi-base {
  height: 16px;
}

.noUi-connect {
  background: #ffb848;
}

/***
Toastr Notifications
***/
.toast {
    -webkit-box-shadow: none !important;
     -moz-box-shadow: none !important;
          box-shadow: none !important;
}

.toast {
  background-color: #030303;
}
.toast-success {
  background-color: #51a351;
}
.toast-error {
  background-color: #bd362f;
}
.toast-info {
  background-color: #2f96b4;
}
.toast-warning {
  background-color: #f89406;
}

.toast .toast-close-button {
  display: inline-block;
  margin-top: 0px;
  margin-right: 0px;
  text-indent: -100000px;
  width: 11px;
  height: 16px;
  background-repeat: no-repeat !important;
  background-image: url("../img/portlet-remove-icon-white.png") !important;
}

.toast-top-center {
  top: 12px;
  margin: 0 auto;
  left: 50%;
  margin-left: -150px;
}

.toast-bottom-center {
  bottom: 12px;
  margin: 0 auto;
  left: 50%;
  margin-left: -150px;
}

/***
Google reCaptcha
***/
.form-recaptcha-img {
  margin-bottom: 10px;
  clear: both;
  border: 1px solid #e5e5e5;
  padding: 5px;
}

iframe[src="about:blank"] {
  display:none;
}

/***
Font Awesome 4.0 Demo
***/
.fa-item {
  font-size: 14px;
  padding: 10px 10px 10px 20px;
}

.fa-item i {
  font-size: 16px;
  display: inline-block;
  width: 20px;
}

.fa-item:hover {
  cursor: pointer;
  background: #eee;
}

/***
Bootstrap Modal
***/
/* fix: content shifting to the right on modal open */
.modal-open.page-overflow .page-container,
.modal-open.page-overflow .page-container .navbar-fixed-top,
.modal-open.page-overflow .page-container .navbar-fixed-bottom,
.modal-open.page-overflow .modal-scrollable {
  overflow-y: auto !important;
}

.modal-scrollable {
  overflow: hidden !important;
}

/***
jQuery File Upload
***/

.blueimp-gallery .close {
  background-image: url("../img/portlet-remove-icon-white.png") !important;
  margin-top: -2px;
}

.blueimp-gallery .prev,
.blueimp-gallery .next {
  border-radius: 23px !important;
}

/***
Bootstrap Switch
***/

.has-switch {
  border-color: #e5e5e5;
}

.has-switch:focus {
  -webkit-box-shadow: none;
          box-shadow: none;
}

/***
Jstree
***/

.jstree-default .jstree-clicked {
  border: 0;
  background-color: #e1e1e1;
  box-shadow:none;
}

.jstree-default .jstree-hovered {
  border: 0;
  background-color: #eee;
  box-shadow:none;
}

.jstree-default .jstree-wholerow-clicked,
.jstree-wholerow .jstree-wholerow-clicked {
  background: none;
  border: 0;
  background-color: #e1e1e1;
  box-shadow:none;
}

.jstree-default .jstree-wholerow-hovered,
.jstree-wholerow .jstree-wholerow-hovered {
  border: 0;
  background-color: #eee;
  box-shadow:none;
}

.jstree-icon.icon-lg {
  margin-top: 1px;
}

.jstree-open > .jstree-anchor > .fa-folder:before {
  margin-left: 2px;
  content: "\f07c";
}

.jstree-default.jstree-rtl .jstree-last {
  background: transparent;
  background-repeat: no-repeat;
}

.vakata-context,
.vakata-context ul {
  padding: 0;
  min-width: 125px;
  background-color: #ffffff;
  -webkit-box-shadow: 0 1px 8px rgba(0, 0, 0, 0.1);
  -moz-box-shadow: 0 1px 8px rgba(0, 0, 0, 0.1);
  box-shadow: 0 1px 8px rgba(0, 0, 0, 0.1);
  font-size: 14px;
  font-family: "Segoe UI",Helvetica, Arial, sans-serif;
  border: 1px solid #ddd;
}

.vakata-context li a {
  padding: 0 10px;
}

.vakata-context .vakata-context-hover > a,
.vakata-context li a:hover {
  background-color: #eee;
  color: #333;
  box-shadow: none;
}

.vakata-context li a span,
.vakata-context li a ins {
  display: none;
}

.vakata-context .vakata-context-separator a,
.vakata-context-rtl .vakata-context-separator a {
  margin: 0;
}

.jstree-rename-input {
  background-color: #ffffff !important;
  border: 1px solid #e5e5e5 !important;
  outline: none !important;
  padding: 2px 6px !important;
  margin-right: -4px !important;
}

/***
Pace - Page Progress
***/

.pace .pace-progress {
  z-index: 10000;
  top: 40px;
  height: 2px;
}

.pace .pace-progress-inner {
  box-shadow: none;
}

.pace .pace-activity {
  top: 44px;
  right: 22px;
  border-radius: 10px !important;
}


@media (max-width: 480px) {

  .page-header-fixed .pace .pace-progress {
    top: 82px;
  }

  .page-header-fixed .pace .pace-activity {
    top: 88px;
    right: 15px;
  }

}
